Ticket #1345 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

Replace lam and rs with FreeBSD versions, until they can be laid to rest

Reported by: achernya Owned by:
Priority: normal Milestone: The Distant Future
Component: -- Keywords:
Cc: Fixed in version:
Upstream bug:

Description (last modified by achernya) (diff)

Originally this ticket proposed death, claiming:

This is like just all over again, and we decided to punt that. Then again, lam and rs actually are pulled in by debathena-clients, so maybe they gets a gentler death.

Change History

comment:1 Changed 8 years ago by kaduk

lam and rs are standard bsd utilities ... it seems plausible that "we" could maintain them in upstream.

comment:2 Changed 8 years ago by achernya

lam and rs are not POSIX and not supported by GNU coreutils, and they clearly claim to not support multibyte characters, so I think I'm in favor of killing them outright.

comment:3 Changed 8 years ago by achernya

  • Status changed from new to committed
  • Description modified (diff)
  • Summary changed from Kill lam and rs, or at least move them to a locker to Replace lam and rs with FreeBSD versions, until they can be laid to rest

After conversation with Ben, we decided importing the FreeBSD versions is better. I've now started contemplating a crazy plan to port the FreeBSD userspace to Debian, but until that's done, have both r25988 and r25989.

comment:4 Changed 7 years ago by jdreed

  • Status changed from committed to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.